Package org.eclipse.emf.cdo.common.util

## Interface URIHandlerRegistry

-     public interface URIHandlerRegistry

  Since:
    4.13
  Author:
    Eike Stepper

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static URIHandlerRegistry` | `INSTANCE` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `URIHandler` | `addURIHandler​(java.lang.String scheme, URIHandler handler)` |
    `URIHandler` | `getURIHandler​(java.lang.String scheme)` |
    `URIHandler` | `removeURIHandler​(java.lang.String scheme)` |

- - ### Field Detail

    - #### INSTANCE

          static final URIHandlerRegistry INSTANCE

  - ### Method Detail

    - #### addURIHandler

          URIHandler addURIHandler​(java.lang.String scheme,
                                   URIHandler handler)

    - #### removeURIHandler

          URIHandler removeURIHandler​(java.lang.String scheme)

    - #### getURIHandler

          URIHandler getURIHandler​(java.lang.String scheme)